Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82630 - PPOE_TIMEOUT in /sbin/adsl-setup is seriously wrong
Summary: PPOE_TIMEOUT in /sbin/adsl-setup is seriously wrong
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe
Version: 7.3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-24 07:25 UTC by Bertil Askelid
Modified: 2015-01-08 00:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-03 13:50:55 UTC


Attachments (Terms of Use)

Description Bertil Askelid 2003-01-24 07:25:38 UTC
Description of problem:

According to rp-pppoe documentation, PPPOE_TIMEOUT better be at least 4 times
the LCP_INTERVAL. So, it should be 80, not 20. With 3 LCP_FAILURE counts and
20 seconds LCP_INTERVAL, the PPPOE_TIMEOUT of 20 gices PPPoE no chance to stay
up, it detects a timeout before it even has had a chance to send its LCP pings.
So, it dicsonnects about once a minute and then reconnects again. New IP address
som time, and a complete waste of CPU cycles.

Took me a while to figure this out, reading docs and experimenting with DSL.
Learned a lot, but I don't think that was the intention. The value 80 solves
the problem! DSL has now been up for 12 hours without a single disconnect.

Version-Release number of selected component (if applicable):

rp-pppoe-3.3-7

How reproducible:

always
Steps to Reproduce:
1. adls-setup
2. edit /etc/sysconfig/network-scripts/ifcfg-ppp0 with USER
3. adls-start
    
Actual results:

drops connection once a minute and the reconnects

Expected results:

should stay up without dropping connection so frequently

Additional info:

By the way, adls-stop is having a " " (blank) between the "#" and "!/bin/bash"
on the first line, making it impossible to run it as a script.

Comment 1 Ngo Than 2003-06-03 13:50:55 UTC
oh, this's a typo bug. It's fixed now in 3.5-4, which is available in rawhide.
Thanks for your report


Note You need to log in before you can comment on or make changes to this bug.